
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用PL/SQL Developer剖析PL/SQL代码 / iVAN</title>

    <meta name="description" content="使用PL/SQL Developer剖析PL/SQL代码     PL/SQL代码性能瓶颈可以通过DBMS_PROFILER包在命令行的方式下进行剖析来直接获得.对于比较复杂的代码而言,使用图形化的界面来进行剖析无疑是首选.PL/SQL Developer依旧依赖于DBMS_PROFILER包,使用图形化界面来剖析PL/SQL代码,如匿名块,包,过程,函数等,其Profiler结果将列出该剖析代码涉及到的所有包,过程函数等并且可以按照不同的列类型进行排序等.本文以图文的形式介绍了PL/SQL Developer 下实现PL/SQL 代码剖析.   1.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用PL/SQL Developer剖析PL/SQL代码</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>    PL/SQL代码性能瓶颈可以通过DBMS_PROFILER包在命令行的方式下进行剖析来直接获得。对于比较复杂的代码而言，使用图形化的界面来进行剖析无疑是首选。PL/SQL Developer依旧依赖于DBMS_PROFILER包，使用图形化界面来剖析PL/SQL代码，如匿名块，包，过程，函数等，其Profiler结果将列出该剖析代码涉及到的所有包，过程函数等并且可以按照不同的列类型进行排序等。本文以图文的形式介绍了PL/SQL Developer 下实现PL/SQL 代码剖析。</p>
<p> </p>
<p>1、配置Profiler面板<br />单击Tools---&gt;Preferences---&gt;Profiler，下面是对应的配置描述(当前的演示版本9.0.0.1601)<br />Available Columns        --可用列(可以移动到右边)<br />Selected Columns         --已选择的列<br />Time units               --时间单位(秒、毫秒、微秒)<br />Show 0 occurrences       --是否显示执行0次的处理语句<br />Graphical time display   --用图形显示处理时间的颜色深度百分比</p>
<p>    <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzA5MzAxMDQyNDUyNjU/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YkdWemFHRnRhUT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<p> </p>
<p>2、匿名代码段剖析示例  </p>
<p>    <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzA5MzAxMDQzNDMyOTY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YkdWemFHRnRhUT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg"></p>
<p>    下面是剖析之后的结果图：可以看出第7行耗用了最多的时间   </p>
<p>    <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzA5MzAxMDQ0MDcxMDk/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YkdWemFHRnRhUT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg"></p>
<p> </p>
<p>3、包和过程代码剖析示例</p>
<p>    <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzA5MzAxMDQ0MzcwNzg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YkdWemFHRnRhUT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg"><br />    <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzA5MzAxMDQ1MDEwNjI/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YkdWemFHRnRhUT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg"></p>
<p>    <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzA5MzAxMDQ2MTQyNjU/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YkdWemFHRnRhUT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg"></p>
<p>        下面是剖析之后的结果，注意下图中红色圈，右边Text列包含了该过程下调用的其他包过程或函数等</p>
<p>    <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzA5MzAxMDUzMTgwNDY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YkdWemFHRnRhUT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg"></p>
<p>         下图是按Total time排序之后的结果，可以看到当前的这个包耗用时间最多的部分集中在SQL部分，因此可以集中精力对这些SQL进行tuning。</p>
<p>    <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzA5MzAxMDQ3MDA2NTY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YkdWemFHRnRhUT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg"></p>
<p>    下图是剖析包调用的所有模块，后面跟的是其耗用的总时间</p>
<p>    <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzA5MzAxMDU0MDM0NTM/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YkdWemFHRnRhUT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg"></p>
<p> </p>
<p>4、剖析结果相关说明<br />a、Profiler面板工具栏<br />    Profiler面板选项卡依次从左往右按钮，<br />    --配置profiler<br />    --刷新<br />    --删除当前结果<br />    --run当前代码运行起始时间<br />    --Unit则是该代码调用所有涉及到的模块，缺省为所有单元执行的总时间，切换到单元模块则对应该单元模块总时间</p>
<p>b、显示结果列的相关说明<br />    unit           --单元名称，即执行的存储过程，包括其调用的过程，匿名块等<br />    line           --代码行号<br />    total time     --该行代码的执行时间(颜色长度代表该行代码的执行时间与最长代码执行时间的百分比图)<br />    occurrences    --此行执行次数<br />    text           --对应得代码行，加密行无法显示<br />    Average time   —平均运行时间      (这个三个时间默认不显示，如果在profiler配置块设置则显示)<br />    maximum time   --最大运行时间<br />    minimum time   --最小运行时间</p>
<p>c、定位代码行<br />    Profiler 结果Text文本仅显示整条代码的行首部分，对于剩余部分可以在对应的行中打开右键，选择[Go to unit line]会直接跳到对应的源代码位置</p>
<p>d、Profiler结果排序<br />    可以对Profiler结果不同的字段进行排序，只需单击对应列名右侧方块即可。如需要排序Total time列则单击Total time列右侧方块变成下三角。</p>
<p> </p>
<p><a href="http://wp.qq.com/wpa/qunwpa?idkey=63ed41c9a94b48ebc4d3d956537065ba6d18a649c353b09bfdac284518b7b8d8" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcHViLmlkcXFpbWcuY29tL3dwYS9pbWFnZXMvZ3JvdXAucG5n.jpg"></a>    <a href="http://wp.qq.com/wpa/qunwpa?idkey=9ece469d99da670d85e1576013677151012787a7bfc26894598e61853d487917" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcHViLmlkcXFpbWcuY29tL3dwYS9pbWFnZXMvZ3JvdXAucG5n.jpg"></a></p>
<p>更多参考</p>
<p><a href="http://blog.csdn.net/leshami/article/details/12100235" rel="external nofollow noreferrer">使用 DBMS_PROFILER 定位 PL/SQL 瓶颈代码</a></p>
<p><a href="http://blog.csdn.net/leshami/article/details/12110195" rel="external nofollow noreferrer">对比 PL/SQL profiler 剖析结果</a></p>
<p><a href="http://blog.csdn.net/robinson_0612/article/details/7783724" rel="external nofollow noreferrer">DML Error Logging 特性 </a></p>
<p><a href="http://blog.csdn.net/robinson_0612/archive/2010/12/15/6078622.aspx" rel="external nofollow noreferrer">PL/SQL --&gt; 游标</a></p>
<p><a href="http://blog.csdn.net/robinson_0612/archive/2010/12/22/6092066.aspx" rel="external nofollow noreferrer">PL/SQL --&gt; 隐式游标(SQL%FOUND)</a></p>
<p><a href="http://blog.csdn.net/robinson_0612/article/details/7536926" rel="external nofollow noreferrer">批量SQL之 FORALL 语句</a></p>
<p><a href="http://blog.csdn.net/robinson_0612/article/details/7545597" rel="external nofollow noreferrer">批量SQL之 BULK COLLECT 子句</a></p>
<p><a href="http://blog.csdn.net/robinson_0612/article/details/7372061" rel="external nofollow noreferrer">PL/SQL 集合的初始化与赋值</a></p>
<p><a href="http://blog.csdn.net/robinson_0612/article/details/7372061" rel="external nofollow noreferrer">PL/SQL 联合数组与嵌套表</a> <br /><a href="http://blog.csdn.net/robinson_0612/article/details/7387647" rel="external nofollow noreferrer">PL/SQL 变长数组</a><br /><a href="http://blog.csdn.net/robinson_0612/article/details/6084390" rel="external nofollow noreferrer">PL/SQL --&gt; PL/SQL记录</a></p>
<p><a href="http://blog.csdn.net/robinson_0612/article/details/7422254" rel="external nofollow noreferrer">SQL tuning 步骤</a></p>
<p><a href="http://blog.csdn.net/robinson_0612/article/details/7406672" rel="external nofollow noreferrer">高效SQL语句必杀技</a></p>
<p><a href="http://blog.csdn.net/robinson_0612/article/details/6893477" rel="external nofollow noreferrer">父游标、子游标及共享游标</a></p>
<p><a href="http://blog.csdn.net/robinson_0612/article/details/6904229" rel="external nofollow noreferrer">绑定变量及其优缺点</a></p>
<p><a href="http://blog.csdn.net/robinson_0612/article/details/6866925" rel="external nofollow noreferrer">dbms_xplan之display_cursor函数的使用</a></p>
<p><a href="http://blog.csdn.net/robinson_0612/article/details/6866870" rel="external nofollow noreferrer">dbms_xplan之display函数的使用</a></p>
<p><a href="http://blog.csdn.net/robinson_0612/article/details/6860007" rel="external nofollow noreferrer">执行计划中各字段各模块描述</a></p>
<p><a href="http://blog.csdn.net/robinson_0612/article/details/6837771" rel="external nofollow noreferrer">使用 EXPLAIN PLAN 获取SQL语句执行计划</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 19:39:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8%e8%bf%87%e7%a8%8b/" title="存储过程">存储过程</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9d%97/" title="模块">模块</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/%e6%8e%92%e5%ba%8f/" title="排序">排序</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用PL/SQL Developer剖析PL/SQL代码的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3kwZz.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一2&period;4　执行计划各个操作的含义</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 执行计划各个操作的含义 通常我们所说的执行计划操作包含两个部分:操作与其选项.例如,哈希关联反关联(HASH JOIN ANTI)中,哈希关联(HASH JOIN)是一种操作,&quot;反&quot;关联(ANTI)则是其选项:该操作还可以与其他选项(如&quot;半&quot;关联,SEMI)配合形成不同的执行计划操作. 执行计划中的操作数量非常多.我们下面列出的操作是Oracle 10gR2中的绝大多数操作.Oracle的每个版本都会有一些新的特性出现,而其中一些新特性又会带来新的操作,或者			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKONkz.html" rel="bookmark">sql developer使用-Oracle Sql Developer 使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Oracle Sql Developer 使用 我使用Oracle Sql Developer 将sqlserver数据库转移到oracle,为什么总是捕获不到数据库,连接我都配好了而且也连接上了,就是在捕获时没有反应,求大神帮忙			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBXE0Kp.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一2&period;2　内部函数与操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 内部函数与操作 实际上,在Oracle内部,执行计划的每一个数据源(Row Source)操作都与一个内部函数(qer&lt;*&gt;)相对应,而操作对象.谓词条件都是这些函数的参数.这些函数之间可以相互调用,也正是这些函数的调用关系,映射成为执行计划的树状关系.换句话说,一个执行计划告诉Oracle的内部引擎如何调用这些函数,以及传给函数的参数值.例如,在上述例子中,NESTED LOOPS获取数据的内部函数是qerjoFetch:TABLE ACCESS BY INDEX ROWID的内部函			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVgvmb.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一第一篇 执行计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一篇 执行计划 执行计划是指示Oracle如何获取和过滤数据.产生最终结果集,是影响SQL语句执行性能的关键因素.我们在深入了解执行计划之前,首先需要知道执行计划是在什么时候产生的,以及如何让SQL引擎为语句生成执行计划. 在深入了解执行计划之前,我们先了解SQL语句的处理执行过程.当一条语句提交到Oracle后,SQL引擎会分为三个步骤对其处理和执行:解析(Parse).执行(Execute)和获取(Fetch),分别由SQL引擎的不同组件完成.SQL引擎的组件如图1-1所示. 1. SQL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b22RDZb.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一3&period;1　启发式查询转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.1 启发式查询转换 所有的启发式查询转换都是基于一套优化器内建的规则.在查询转换阶段,转换器会逐个针对这些规则对查询进行检查,确定其是否满足转换规则,一旦满足,转换器就对其进行转换. 3.1.1 简单视图合并 我们知道,视图(View)的实质就是一条查询语句.在解析阶段,语句中的每个视图都会被展开至一个查询块中.如果未做视图合并,优化器则会单独分析每个视图,并为定义视图的查询语句生成一个视图子计划.然后再分析整个查询的其他部分,并生成执行计划.在这种情况下,由于视图的执行计划和整体执行计划不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3YqyWp.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一1&period;2　显示执行计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 显示执行计划 我们现在知道,有三个途径可以获取查询计划:v$sql_plan.dba_hist_sql_plan和PLAN_TABLE.如果需要读取一条SQL语句的执行计划,就需要知道该条语句的SQL_ID,如果该语句存在多个游标或者执行计划,则还需要知道游标的CHILD_NUMBER或计划的哈希值(可选).而无论我们通过哪个途径来获取执行计划,显示方式主要是两种:语句查询和包DBMS_XPLAN显示. 1.2.1 通过查询语句显示计划 通过查询语句从一些视图里读出执行计划并作格式化输出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvr385M.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一2&period;5　执行计划中其他信息的含义</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.5 执行计划中其他信息的含义 通过DBMS_XPLAN输出执行计划,除了计划本身外,还可以获得一些其他信息帮助我们进一步分析执行计划及语句性能. 2.5.1 查询块和对象别名 在使用DBMS_XPLAN显示执行计划时,选择'ADVANCED'预定义格式作为参数或者加入'ALIAS'控制字符串,可以在输出中看到以下内容: Query Block Name / Object Alias (identified by operation id): -------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBR70b.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一1&period;1　生成执行计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1 生成执行计划 在Oracle中,任何一条语句在解析过程中都会生成一个唯一的数值标识,即SQL_ID.而同一条语句,在解析过程中,可能会因为执行环境的改变(例如某些优化参数被改变)而生成多个版本的游标,不同的游标会有不同的执行计划.每个游标都会按顺序赋予一个序列号,即CHILD_NUMBER,一条语句生成的第一个游标的CHILD_NUMBER为0:相应的,Oracle会为每个执行计划生成一个哈希值以作区分.而多个不同版本的游标,其执行计划可能会相同,也可能不同. 因此,我们可以知道,一条合			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXdN1Lp.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一2&period;1　执行计划的基本数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.1 执行计划的基本数据 我们用代码清单2-1中的查询计划为例,解释计划访问中基本数据的含义.代码清单2-1执行计划查询 HELLODBA.COM&gt;exec sql_explain('select o.owner, o.object_name, o.object_id from t_users u, t_objects o where u.username=o.owner and o.object_name like :A and u.user_id=:B','BASIC PREDICATE'			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqAk3M.html" rel="bookmark" class="title">收藏夹的网址保存在哪个文件夹里？</a>
					<div>
						  收藏夹怎么删除? 首先打开浏览器,然后在左上角可以看到[收藏夹],点击打开就可以看到浏览器中已经收藏的网址了,之后在需要删除的网址名称上点击鼠标右键,再弹出的选项中,点击删除即可,如下图所示. 如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBGQOM.html" rel="bookmark" class="title">ASP视频教程&colon;后台功能的一些完善</a>
					<div>
						大家在初学ASP程序的时候,我们经常第一个任务就是配置环境!在这里根据网页教学网站长的经验,有时克隆版的XP系统有时是安装不了IIS的!前面我们已经讲解了ASP视频教程:制作关于我们和联系我们页面,本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5r4nz.html" rel="bookmark" class="title">Photoshop简单绘制教程&colon;制作彩色镂空球体</a>
					<div>
						本教程的球体不需要一步一步画好,只需要用矩形选框工具制作一组有空格的色块.然后用球面化滤镜做出透视效果,再简单上色并添加浮雕效果等即可.最终效果 1.打开photoshop,然后使用矩形工具(U)创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGBR3p.html" rel="bookmark" class="title">WPS Office 2007专题</a>
					<div>
						用WPS Office2007制作个性化的页眉和页脚 为什么要使用WPS Office 2007 在WPS 2007中插入漂亮的页码样式 在WPS Office2007中插入背景音乐 用WPS off ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balEwJz.html" rel="bookmark" class="title">Windows资源管理器Web视图界面</a>
					<div>
						当我们使用Windows资源管理器(Exporlor)时,看到左边的视图能够显示所选目标的相关信息,比较好用. 本例是一个简单的Web视图界面示例,不过左边不是一个Web视图,而是一个FormView ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO2YvM.html" rel="bookmark" class="title">Oracle Table的创建参数</a>
					<div>
						先看一个oracle 10g 下table 创建SQL,都是默认值: CREATE TABLE SYS.QS ( USERNAME  VARCHAR2(30 BYTE)                 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6YVBz.html" rel="bookmark" class="title">用Fireworks为gif图片批量加水印教程</a>
					<div>
						gif动画图片批量增加水印效果.这个功能对于个人站长是非常实用的. 原图: 处理后: 1.用firework打开gif文件. 2.在gif上面加上水印效果(打上文字,设置透明度) 3.在历史面板上保存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOyo6b.html" rel="bookmark" class="title">关于首页焦点图的色彩搭配&mdash;&mdash;黑色</a>
					<div>
						做电商的都知道装修的重要性,我往往把网店和女人拿来做比较,店铺的装修好比女人的脸,能否吸引你.留住你,外表永远是第一要素.但是,网店装修总 是很让人头疼,色彩如何搭配经常让人困扰,很难驾驭.所以我们必 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGLG6p.html" rel="bookmark" class="title">老毛桃U盘启动盘制作教程</a>
					<div>
						1.从老毛桃官方网站http://www.laomaotao.net/下载老毛桃U盘启动制作工具. 2.运行程序之前请尽量关闭杀毒软件和安全类软件(本软件涉及对可移动磁盘的读写操作,部分杀软的误报会导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7W98M.html" rel="bookmark" class="title">Win7旗舰版升级Win10系统提示错误C1900107的解决方法</a>
					<div>
						  通过分析,以上问题是由于原系统中的第三方软件干扰或驱动程序不兼容所导致的. 解决方法: 请在升级前先把已安装的第三方安全软件全部卸掉.另外,检查一下当前驱动的情况,该更新的都更新掉.在安装系统的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW5BAp.html" rel="bookmark" class="title">已知文件类型的扩展名如何设置显示与隐藏&quest;</a>
					<div>
						  当你想把文件扩展名隐藏或是显示的时候,有木有突然感觉有那么一瞬间皱着眉头过呢?当你想要设置显示与隐藏扩展名的时候却莫名其妙的发现&quot;隐藏已知文件类型的扩展名&quot;这一项选不见了,心理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdjDBM.html" rel="bookmark" class="title">spring context架构--静态结构</a>
					<div>
						概念 Context也就是我们常说的spring容器,打个比方,context就像是一家公司,beans则是公司的工厂,除了工厂,公司还有翻译,仓库以及办公场所等等. 下面就看看context的主要构 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEdy4p.html" rel="bookmark" class="title">找&period;net&sol;java老师了哈&lpar;有高回报&rpar;</a>
					<div>
						问题描述 在此请一个在重庆的asp.net/j2ee老师(注意:重庆),我有同事想请个老师带带,他有不错的基础.希望老师具备:1-2个项目经验(j2ee方面最佳),全程带他做1-2个中小型项目,让他能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwDQAM.html" rel="bookmark" class="title">怎么实现 在一台手机上测试app，另外几台手机也执行同样测试的动作</a>
					<div>
						问题描述 怎么实现 在一台手机上测试app,另外几台手机也执行同样测试的动作 我需要测试app在不同手机上的兼容性. 我想自己开发一种工具,让我在一台手机上测试app,另外几台手机也会执行同样的动作! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXd1jz.html" rel="bookmark" class="title">How Big Data has the Potential to Save Lives</a>
					<div>
						There's no doubt that in today's enterprise market, businesses with big data in their corner have a  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZrX6z.html" rel="bookmark" class="title">Postfix安全加固和隐私配置指南</a>
					<div>
						本文讲的是Postfix安全加固和隐私配置指南,Postfix和Sendmail是Linux上最常用的邮件服务器系统.与Sendmail相比,Postfix的配置要简单很多,更容易上手. 本文将主要介 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK3Okz.html" rel="bookmark" class="title">美博客指责三星多次抄袭对手外观设计&lpar;组图&rpar;</a>
					<div>
						导语:美国科技博客BusinessInsider今天撰文称,虽然三星是否抄袭苹果还要等待法院来判决,但从以往的情况来看,三星移动设备已经不是第一次抄袭其他企业的外观设计. 以下为文章全文: 虽然三星是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBq4Db.html" rel="bookmark" class="title">二线城市地方论坛是如何一步步做起来的</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 本人做了一个二级城的市级地方论坛. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBjg8b.html" rel="bookmark" class="title">lighttpd开启rewrite伪静态方法</a>
					<div>
						最近一直在推荐便宜的VPS,大家知道,便宜的VPS一般只有128MB,或者256MB内存,尤其是安装免费的KLOXO面板之后,我们一般都选择切换Apache为lighttpd来节省内存. 但是,随之的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg5WAM.html" rel="bookmark" class="title">团购网：网站活跃会员汇聚人气的一把利器</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 前日写了一篇文章,表示出芝麻本人对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLovDM.html" rel="bookmark" class="title">Oracle官方并发教程之锁对象</a>
					<div>
						原文地址,译文地址,译者:李任,校对:郑旭东 同步代码依赖于一种简单的可重入锁.这种锁使用简单,但也有诸多限制.java.util.concurrent.locks包提供了更复杂的锁.我们不会详细考察 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXKlVb.html" rel="bookmark" class="title">这十大技术会影响数据中心发展</a>
					<div>
						有些技术是炒作,也有些能在很长一段时期影响数据中心.下面十大趋势肯定能影响2015年后的数据中心发展.   数据中心技术不断涌现,并以惊人的速度变化.想想看,虚拟化这样一个初出茅庐的想法在短短几年时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgk60M.html" rel="bookmark" class="title">《财富》2010年美国500强 摩根大通排名第九</a>
					<div>
						北京时间4月16日早间消息,据国外媒体报道,美国&lt;财富&gt;杂志公布了2010年美国500强排行榜,沃尔玛以4082. 14亿美元年销售额位居榜首,埃克森美孚次之,IT企业中AT&amp;T和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8n9Vp.html" rel="bookmark" class="title">淘宝店铺红包和店铺优惠券增加教程</a>
					<div>
						1.店铺红包:店铺营销中心 &gt; 店铺活动 &gt; 店铺红包 2.店铺优惠券:促销管理 &gt; 淘宝卡券 &gt; 店铺优惠券 3.常见问题 Q1:同一个订单多个红包能不能一起使用? 答:店铺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWDeJz.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;劳务派遣&rdquo;言之过早</a>
					<div>
						[ 导读]用人单位选择劳务派遣,无非为规避同工同酬.转嫁 签订无固定期限http://www.aliyun.com/zixun/aggregation/38374.html&quot;&gt;劳动合同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmV15Dz.html" rel="bookmark" class="title">《Adobe Flash CS5 ActionScript 3&period;0中文版经典教程》&mdash;&mdash;1&period;2 开始</a>
					<div>
						1.2 开始 在Flash CS5里打开Lessons&gt;Lesson01&gt;Start文件夹下的lesson01_start.fla文件,它包含了层.图形和动画.巡览时间轴(也就是单击播放块 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4xEkb.html" rel="bookmark" class="title">《Puppet权威指南》&mdash;&mdash;1&period;3　自动化运维工具对比</a>
					<div>
						1.3 自动化运维工具对比 在1.2节中我们介绍了现在比较常见的自动化配置工具Cfengine.Chef和Puppet,下面再来看一下这3款自动化运维工具的区别,如表1-1所示. 讲到这里,我们已经基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GZlVM.html" rel="bookmark" class="title">nsga2-请求大神给我发一个 nsga-ii 的多变量函数&OpenCurlyDoubleQuote;测试函数的&rdquo;matlab代码。谢谢。</a>
					<div>
						问题描述 请求大神给我发一个 nsga-ii 的多变量函数&quot;测试函数的&quot;matlab代码.谢谢. 请求大神给我发一个 nsga-ii 的多变量函数&quot;测试函数的&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJekd8p.html" rel="bookmark" class="title">菜鸟提问：如何将notes9中的邮件全部导出到outlook中？</a>
					<div>
						问题描述 notes邮件客户端不好用(对于个人用户来说不如outlook好用),正好我也准备辞职了,原先的邮件打算都转到outlook中去.如何操作呢? 解决方案 解决方案二:辞职了就别把原来的邮件带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boq3G3p.html" rel="bookmark" class="title">iOS 7被曝出现最新漏洞 最快5秒解锁</a>
					<div>
						iOS 7被曝出现最新漏洞 最快5秒解锁有用户发现了iOS 7系统最新的锁屏安全漏洞,利用该漏洞可以绕过默认的密码输入界面.这次的安全漏洞最快允许攻击者5秒钟完成.当然,这已经不是iOS 7第一次被爆 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
